wibble::list::Sorted< List > Struct Template Reference

`#include <list.h>`

Collaboration diagram for wibble::list::Sorted< List >:
[legend]

## Classes

struct | SharedPtr
struct | SharedVec

## Public Types

typedef std::vector< typename List::Type > | Vec
typedef List::Type | Type

## Public Member Functions

void | sort () const
Type | head () const
Sorted | tail () const
bool | empty () const
| Sorted (const Sorted &o)
Sorted & | operator= (const Sorted &o)
| Sorted (List l=List())

## Public Attributes

List | m_list
SharedPtr | m_sorted
size_t | m_pos

## Member Typedef Documentation

## Type

template<typename List >

typedef List::Type wibble::list::Sorted< List >::Type

## Vec

template<typename List >

typedef std::vector< typename List::Type > wibble::list::Sorted< List >::Vec

## Constructor & Destructor Documentation

## Sorted() [1/2]

template<typename List >

wibble::list::Sorted< List >::Sorted | ( | const Sorted< List > & | o | ) |

inline

## Sorted() [2/2]

template<typename List >

wibble::list::Sorted< List >::Sorted | ( | List | l = `List()` | ) |

inline

## Member Function Documentation

## empty()

template<typename List >

bool wibble::list::Sorted< List >::empty | ( |  | ) | const

inline

References wibble::list::sort().

## head()

template<typename List >

Type wibble::list::Sorted< List >::head | ( |  | ) | const

inline

References wibble::list::sort().

## operator=()

template<typename List >

Sorted& wibble::list::Sorted< List >::operator= | ( | const Sorted< List > & | o | ) |

inline

References wibble::list::Sorted< List >::m_list, wibble::list::Sorted< List >::m_pos, and wibble::list::Sorted< List >::m_sorted.

## sort()

template<typename List >

void wibble::list::Sorted< List >::sort | ( |  | ) | const

inline

References wibble::list::sort().

## tail()

template<typename List >

Sorted wibble::list::Sorted< List >::tail | ( |  | ) | const

inline

References wibble::list::Sorted< List >::m_pos, and wibble::list::sort().

## Member Data Documentation

## m_list

template<typename List >

List wibble::list::Sorted< List >::m_list

Referenced by wibble::list::Sorted< List >::operator=().

## m_pos

template<typename List >

size_t wibble::list::Sorted< List >::m_pos

Referenced by wibble::list::Sorted< List >::operator=(), and wibble::list::Sorted< List >::tail().

## m_sorted

template<typename List >

SharedPtr wibble::list::Sorted< List >::m_sorted

mutable

Referenced by wibble::list::Sorted< List >::operator=().

The documentation for this struct was generated from the following file:

- list.h